Essbase

Get Involved. Join the Conversation.

Topic

    Anne Desotelle
    Error using DBXtool with on prem Essbase 11.1.2.4.002Answered
    Topic posted October 22, 2019 by Anne Desotelle, tagged Cube Designer, Essbase 
    27 Views, 2 Comments
    Title:
    Error using DBXtool with on prem Essbase 11.1.2.4.002
    Summary:
    DBX tool error message - Export is not supported in this Essbase version
    Content:

    I am using the DBXtool for the first time to attempt to move some on premise Essbase applications to the cloud.  The on-prem instance is version 11.1.2.4.002 (patch set 20786572) .  The documentation for the DBXtool states:

    "You can export applications and cubes created in an on-premises instance of Essbase
    11.1.2.3.0nn, 11.1.2.4.0nn, 11.1.2.4.5.nn, 12.2.1 and later. "

    Does 11.1.2.4.002 qualify as 11.1.2.4.0nn or is there a higher patch set that is the minimum requirement for the tool to work?   I am getting the error message "Export is not supported in this Essbase version" when I run the tool.   It appears to work for a while generating an xml file, then gives the error message.  It appears to happen when it is on the exporting dimension "Account" step.  See below and image.   

    INFO: Exporting dimension "Account".
    Encountered errors while executing command
    Export is not supported in this Essbase version.

    I have attempted to export several different essbase application on the server including a very simple application to confirm that the issue is not happening because of the design of the application to be exported.

    Thanks in advance for any advice on getting the DBXtool to work for me or an alternate way to migrate essbase apps to the cloud.

     

     

     

     

    Version:
    11.1.2.4.002
    Image:

    Best Comment

    Ashish Jain

    Hi Anne, can you please let me know what version of OAC Essbase you are on? also I would suggest you to raise a Oracle Support request so that an appropriate team can look into this.

    I have an update: Currently, the DBX export utility supports exporting on-prem cubes from 11.1..2.015 and later. we will update the documentation to reflect the same.

    For the moment you can use the LCM Export utility instead to move the cubes from on-prem.

    Comments Are Closed

     

    • Ashish Jain

      Hi Anne, can you please let me know what version of OAC Essbase you are on? also I would suggest you to raise a Oracle Support request so that an appropriate team can look into this.

      I have an update: Currently, the DBX export utility supports exporting on-prem cubes from 11.1..2.015 and later. we will update the documentation to reflect the same.

      For the moment you can use the LCM Export utility instead to move the cubes from on-prem.

    • Anne Desotelle

      Hi Ashish -    Thank you for the update.   I  logged a SR with support as you suggest, but have not yet got confirmation back that 11.1.2.015 and later was needed.  Thanks for supplying that info.   They did gather some information from me including a couple example OTL files from applications on my on prem Essbase and last I heard are attempting to recreate the issue on their end.  They confirmed that there have been no other reports of this same issue.   Now I know I will need to patch up to at least .015 to use it.

         I am also going to try the EssbaseLCM utility to see if I can get it to work instead.  Thanks for the feedback.

      Update - Oracle support confirmed that Ashish is the developer and is in the process of updating the documentation to include information that 11.1.2.4.015 or later is needed.